#
# Conditional build:
%bcond_without	python2		# Python 2.x module
%bcond_without	python3		# Python 3.x module
#
%define 	module	pyatspi
Summary:	AT-SPI Python bindings
Summary(pl.UTF-8):	Wiązania AT-SPI dla Pythona
Name:		python-%{module}
Version:	2.38.0
Release:	1
License:	LGPL v2
Group:		Development/Languages/Python
Source0:	http://ftp.gnome.org/pub/GNOME/sources/pyatspi/2.38/%{module}-%{version}.tar.xz
# Source0-md5:	7909957aac797725741959078f098ba7
URL:		https://wiki.linuxfoundation.org/accessibility/d-bus
BuildRequires:	pkgconfig
BuildRequires:	python-pygobject3-common-devel >= 3.0.0
BuildRequires:	rpm-pythonprov
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.2
%endif
Requires:	at-spi2-core >= 2.12.0
Requires:	gobject-introspection
Requires:	python-modules
Requires:	python-pygobject3 >= 3.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides AT-SPI Python bindings.

%description -l pl.UTF-8
Ten pakiet dostarcza wiązania AT-SPI dla Pythona.

%package -n python3-%{module}
Summary:	AT-SPI Python 3 bindings
Summary(pl.UTF-8):	Wiązania AT-SPI dla Pythona 3
Group:		Development/Languages/Python
Requires:	at-spi2-core >= 2.12.0
Requires:	gobject-introspection
Requires:	python3-modules
Requires:	python3-pygobject3 >= 3.0.0

%description -n python3-%{module}
This package provides AT-SPI Python 3 bindings.

%description -n python3-%{module} -l pl.UTF-8
Ten pakiet dostarcza wiązania AT-SPI dla Pythona 3.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python3}
mkdir py3
cd py3
../%configure \
	--with-python="/usr/bin/python3"
%{__make}
cd ..
%endif

%if %{with python2}
mkdir py2
cd py2
../%configure \
	--with-python="%{__python}"
%{__make}
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python3}
%{__make} -C py3 install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%if %{with python2}
%{__make} -C py2 install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%{py_sitescriptdir}/pyatspi
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%{py3_sitedir}/pyatspi
%endif
%changelog
* Fri Sep 18 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyatspi.git;a=log;h=master

* Thu Sep 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 5c67e7f
- updated to 2.38.0

* Sun Apr 12 2020 Jakub Bogusz <qboosh@pld-linux.org> 5dfcc8d
- updated to 2.36.0

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 7ae19b7
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Oct 06 2019 Jakub Bogusz <qboosh@pld-linux.org> 5575e5e
- updated to 2.34.0

* Thu Apr 11 2019 Jakub Bogusz <qboosh@pld-linux.org> 1b8df80
- updated to 2.32.1

* Thu Oct 11 2018 Jakub Bogusz <qboosh@pld-linux.org> 151ef17
- updated to 2.30.0

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3c35782
- release 2 (by relup.sh)

* Wed Mar 22 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 7d2eb22
- Update to 2.24.0

* Thu Jan 26 2017 Jakub Bogusz <qboosh@pld-linux.org> e4e81a4
- updated to 2.20.3 (fix wrt. python 3.6)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c5fed2
- python 3.6
- release 2 (by relup.sh)

* Sat Jun 25 2016 Jakub Bogusz <qboosh@pld-linux.org> dc4bf30
- updated to 2.20.2

* Tue Apr 12 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 55b88e9
- Update to 2.20.1

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8f285f3
- release 2 (by relup.sh)

* Sat Oct 03 2015 Jakub Bogusz <qboosh@pld-linux.org> 423c85c
- python3 epoch; no python-distribute BR

* Mon Sep 28 2015 Łukasz Kieś <kiesiu@pld-linux.org> 02172f4
- updated to 2.18.0

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 07a4fa2
- python3.5 rebuild
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 8095dfd
- python 3.5 rebuild
- release 2 (by relup.sh)

* Sat May 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 6ecf5c5
- updated to 2.16.0

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 20ff9ff
- x32 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a8790e8
- python 3.4
- release 2 (by relup.sh)

